Kerbal Space Program - Bug #18461

Remove Vessel Naming disables controls
04/08/2018 02:29 PM - jclovis3

Status: Ready to Test Start date: 04/08/2018
Severity: Low % Done: 80%
Assignee:

Category: Controls and Ul

Target version: 1.12.0

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Remove Vessel Naming disables controls to move camera, toggle map view or switch between vessels with brackets. Quick save
and Escape menu are also not available, preventing you from switching to the KSP or tracking station to see if this fixes it.

Work around:

If another part on the save vessel exists that can accept or already has a vessel naming configuration, select the option to configure
vessel naming on this part, and click accept (or cancel if it already had one). The part you previously removed the naming
configuration from will still not have a configuration, but the camera and vessel selection will be unlocked again. Otherwise, configure
the part you just deleted the configuration from to give it a naming configuration.

History

#1 - 04/08/2018 02:32 PM - jclovis3

Note. This can only be seen if you make the changes to the configuration file as described in Bug #18331. This change allows the Configure Vessel
Naming option to be available in flight.

#3 - 06/24/2021 10:59 PM - victorr
- Status changed from New to Ready to Test
- Target version set to 1.12.0

- % Done changed from 0 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
